#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static library

Summary:	The Xapian Probabilistic Information Retrieval Library
Summary(pl.UTF-8):	Xapian - biblioteka uzyskiwania informacji probabilistycznych
Name:		xapian-core
Version:	1.2.18
Release:	1
License:	GPL v2+
Group:		Applications/Databases
Source0:	http://oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	0ccbf68ade12e7b1ead10c57f4447899
URL:		http://www.xapian.org/
BuildRequires:	libstdc++-devel
BuildRequires:	libuuid-devel
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

%description -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania.

%package libs
Summary:	Xapian search engine library
Summary(pl.UTF-8):	Biblioteka silnika wyszukiwania Xapian
Group:		Libraries

%description libs
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the library for applications using Xapian
functionality.

%description libs -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet udostępnia bibliotekę dla
aplikacji wykorzystujących funkcjonalność Xapiana.

%package devel
Summary:	Files needed for building packages which use Xapian
Summary(pl.UTF-8):	Pliki niezbędne do tworzenia pakietów wykorzystujących Xapiana
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libuuid-devel
Requires:	zlib-devel

%description devel
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for building packages which use
Xapian.

%description devel -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki niezbędne do
tworzenia pakietów wykorzystujących Xapiana.

%package static
Summary:	Static Xapian library
Summary(pl.UTF-8):	Statyczna biblioteka Xapian
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Xapian library.

%description static -l pl.UTF-8
Statyczna biblioteka Xapian.

%package apidocs
Summary:	Xapian API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Xapian
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for Xapian library.

%description apidocs -l pl.UTF-8
Dokumentacja API i wewnętrzna biblioteki Xapian.

%prep
%setup -q

cp -a examples _examples
%{__rm} _examples/Makefile*

%build
%configure \
	--enable-static%{!?with_static_libs:=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	docdir=%{_docdir}/%{name}-apidocs-%{version} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C docs install \
	docdir=%{_docdir}/%{name}-apidocs-%{version} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a ChangeLog.examples _examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxapian.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* HACKING NEWS PLATFORMS README
%attr(755,root,root) %{_bindir}/copydatabase
%attr(755,root,root) %{_bindir}/delve
%attr(755,root,root) %{_bindir}/quest
%attr(755,root,root) %{_bindir}/simpleexpand
%attr(755,root,root) %{_bindir}/simpleindex
%attr(755,root,root) %{_bindir}/simplesearch
%attr(755,root,root) %{_bindir}/xapian-check
%attr(755,root,root) %{_bindir}/xapian-chert-update
%attr(755,root,root) %{_bindir}/xapian-compact
%attr(755,root,root) %{_bindir}/xapian-inspect
%attr(755,root,root) %{_bindir}/xapian-metadata
%attr(755,root,root) %{_bindir}/xapian-progsrv
%attr(755,root,root) %{_bindir}/xapian-replicate
%attr(755,root,root) %{_bindir}/xapian-replicate-server
%attr(755,root,root) %{_bindir}/xapian-tcpsrv
%{_mandir}/man1/copydatabase.1*
%{_mandir}/man1/delve.1*
%{_mandir}/man1/quest.1*
%{_mandir}/man1/xapian-check.1*
%{_mandir}/man1/xapian-chert-update.1*
%{_mandir}/man1/xapian-compact.1*
%{_mandir}/man1/xapian-config.1*
%{_mandir}/man1/xapian-inspect.1*
%{_mandir}/man1/xapian-metadata.1*
%{_mandir}/man1/xapian-progsrv.1*
%{_mandir}/man1/xapian-replicate.1*
%{_mandir}/man1/xapian-replicate-server.1*
%{_mandir}/man1/xapian-tcpsrv.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxapian.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxapian.so.22

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xapian-config
%attr(755,root,root) %{_libdir}/libxapian.so
%{_libdir}/cmake/xapian
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_aclocaldir}/xapian.m4
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxapian.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}-apidocs-%{version}
%{_docdir}/%{name}-apidocs-%{version}/apidoc.pdf
%{_docdir}/%{name}-apidocs-%{version}/*.html
%{_docdir}/%{name}-apidocs-%{version}/apidoc
%endif
%changelog
* Sun Jul 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xapian-core.git;a=log;h=master

* Sun Jul 13 2014 Jan Rękorajski <baggins@pld-linux.org> 64142b4
- up to 1.2.18

* Fri May 23 2014 Tomasz Pala <gotar@pld-linux.org> 1f41db0
- upgraded to 1.2.17; removed libxapian.la, marked libs pl description

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 401c1f9
- noarch apidocs

* Thu Sep 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d3c414
- dropped COPYING from docs (just GPL text)
- typo

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> c25ed5e
- updated to 1.2.12

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ad4ade
- pl, cleanup

* Wed Apr 11 2012 Mariusz Mazur <mmazur@pld-linux.org> 4ec8072
- up to stable 1.2.9; rel 1

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> 1dc375f
- apidocs missing dir; rel 2

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 67e174c
- updated to 1.0.16

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 1decf51
- removed

* Tue Mar 03 2009 Patryk Zawadzki <patrys@room-303.com> 3ac0494
- 1.0.10

* Thu Oct 23 2008 Elan Ruusamäe <glen@pld-linux.org> 12799b3
- static package

* Thu Oct 23 2008 Elan Ruusamäe <glen@pld-linux.org> beec496
- from SuSE src.rpm

* Thu Oct 23 2008 Elan Ruusamäe <glen@pld-linux.org> 0f0df26
- based on SuSE spec

